%define anolis_release 2
%global so_ver      4

Name:           qrencode
Version:        4.1.1
Release:        %{anolis_release}%{?dist}
Summary:        Generate QR 2D barcodes

License:        LGPLv2+
URL:            http://fukuchi.org/works/qrencode/
Source0:        http://fukuchi.org/works/qrencode/qrencode-%{version}.tar.bz2

BuildRequires: make
BuildRequires:  gcc
BuildRequires:  chrpath
BuildRequires:  libpng-devel
BuildRequires:  SDL-devel
BuildRequires:  autoconf >= 2.69

%description
Qrencode is a utility software using libqrencode to encode string data in
a QR Code and save as a PNG image.


%package        devel
Summary:        QR Code encoding library - Development files
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description    devel
The qrencode-devel package contains libraries and header files for developing
applications that use qrencode.


%package        libs
Summary:        QR Code encoding library - Shared libraries

%description    libs
The qrencode-libs package contains the shared libraries and header files for
applications that use qrencode.


%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.


%prep
%autosetup -Tb 0 -p 1


%build
## Rebuild configure scripts for ARM 64 support. (RHBZ 926414)
autoconf
%configure --with-tests
%make_build


%install
%make_install
rm -f %{buildroot}%{_libdir}/libqrencode.la
chrpath --delete %{buildroot}%{_bindir}/qrencode

%generate_compatibility_deps


%check
pushd ./tests
sh test_all.sh
popd


%files
%{_bindir}/qrencode
%{abidir}/qrencode-option.list
%{_mandir}/man1/qrencode.1*


%files libs
%{!?_licensedir:%global license %%doc}
%license COPYING
%dir %{abidir}
%{_libdir}/libqrencode.so.%{so_ver}*
%{abidir}/libqrencode.dump


%files devel
%{_includedir}/qrencode.h
%{_libdir}/libqrencode.so
%{_libdir}/pkgconfig/libqrencode.pc


%files doc
%doc ChangeLog NEWS README TODO


%changelog
* Wed Mar 01 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 4.1.1-2
- optimize the spec file

* Tue Mar 22 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 4.1.1-1
- init from upstream 4.1.1
